import { ReactNode } from "react";

/** The props for the container */
interface ContainerProps {
  children: ReactNode;
}

/**
 * Contains children
 * @param props - The children to contain
 * @returns {JSX.Element} The container
 */
export function Container(props: ContainerProps): JSX.Element {
  return <div>{props.children}</div>;
}

/**
 * Contains even more children
 * @param props
 * @returns {JSX.Element}
 */
export function Container2(props: ContainerProps): JSX.Element {
  return <Container>{props.children}</Container>;
}
